'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgPuzzle = function SvgPuzzle(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Puzzle_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M33.116 40.609h13.768V70.39a.6.6 0 0 0 .176.43.6.6 0 0 0 .423.179h14.962a.6.6 0 0 0 .422-.179.62.62 0 0 0 .172-.43V40.61H77.4a.61.61 0 0 0 .428-.18A.62.62 0 0 0 78 40V24.784a.6.6 0 0 0-.171-.43.62.62 0 0 0-.428-.179H63.039V9.61a.62.62 0 0 0-.172-.43.6.6 0 0 0-.422-.179H47.483a.6.6 0 0 0-.423.179.6.6 0 0 0-.176.43v14.587H2.599a.6.6 0 0 0-.423.179.6.6 0 0 0-.176.43V40a.62.62 0 0 0 .176.43.6.6 0 0 0 .423.179h14.362v14.587a.604.604 0 0 0 .6.608h14.96a.6.6 0 0 0 .424-.179.62.62 0 0 0 .171-.43zm28.704 29.19H48.067v-13.98H61.83zm0-15.212H48.067V40.609H61.83zm-29.923 0H18.145V40.609h13.773zm44.9-15.196H63.038V25.413h13.767zm-14.977 0H48.067V25.413H61.83zm-14.961 0H33.106V25.413h13.763zm-14.962 0H18.145V25.413h13.773zm-14.976 0H3.168V25.413h13.763zm44.899-15.21H48.067V10.2H61.83z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Puzzle_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgPuzzle;
